Go to the latest version of this document.

# ``twisted`.`positioning`.`base``

module documentation
(source)

Generic positioning base classes.

Present Since
14.0

Class | `Altitude` | An altitude.
Class | `Angle` | An object representing an angle.
Class | `Angles` | The types of angles.
Class | `BasePositioningReceiver` | A base positioning receiver.
Class | `BeaconInformation` | Information about positioning beacons (a generalized term for the reference objects that help you determine your position, such as satellites or cell towers).
Class | `Climb` | The climb ("vertical speed") of an object.
Class | `Coordinate` | A coordinate.
Class | `Directions` | The four cardinal directions (north, east, south, west).
Class | `Heading` | The heading of a mobile object.
Class | `PositionError` | Position error information.
Class | `PositioningBeacon` | A positioning beacon.
Class | `Satellite` | A satellite.
Class | `Speed` | The speed (rate of movement) of a mobile object.
Exception | `InvalidChecksum` | An exception raised when the checksum of a sentence is invalid.
Exception | `InvalidSentence` | An exception raised when a sentence is invalid.
Constant | `METERS_PER_FOOT` | Undocumented
Constant | `MPS_PER_KNOT` | Undocumented
Constant | `MPS_PER_KPH` | Undocumented
Class | `_BaseSpeed` | An object representing the abstract concept of the speed (rate of movement) of a mobile object.

METERS_PER_FOOT: `float` = (source)

Undocumented

Value

    0.3048

MPS_PER_KNOT: `float` = (source)

Undocumented

Value

    0.5144444444444444

MPS_PER_KPH: `float` = (source)

Undocumented

Value

    0.2777777777777778